PPI::Statement::Break(3)

NAME
PPI::Statement::Break - Statements which break out of normal statement flow

SYNOPSIS
  last;
  goto FOO;
  next if condition();
  return $foo;
  redo;

INHERITANCE
  PPI::Statement::Break
  isa PPI::Statement
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Statement::Break" is intended to represent statements that break out of the normal statement flow control. This covers the basic types 'redo', 'goto', 'next', 'last' and 'return'.

METHODS
"PPI::Statement::Break" has no additional methods beyond the default ones provided by PPI::Statement, PPI::Node and PPI::Element.

However, it is expected to gain methods for identifying the line to break to, or the structure to break out of.

TO DO
- Add the methods to identify the break target

- Add some proper unit testing

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.